Package com.logicaldoc.core.job

# Class AbstractJob

java.lang.Object
com.logicaldoc.core.job.AbstractJob

All Implemented Interfaces:
  `org.quartz.Job`

public abstract class AbstractJob extends Object implements org.quartz.Job
This represents a unit of work to be scheduled in Quartz

Since:
  8.7.4
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getGroup()`
`String`
`getName()`
`Long`
`getTenantId()`
`void`
`setDescription(String description)`
`void`
`setGroup(String group)`
`void`
`setName(String name)`
`void`
`setTenantId(Long tenantId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.quartz.Job

`execute`

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getGroup

public String getGroup()

### setGroup

public void setGroup(String group)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getTenantId

public Long getTenantId()

### setTenantId

public void setTenantId(Long tenantId)